# eric4.Helpviewer.Network.NetworkDiskCache

Module implementing a disk cache respecting privacy.

### Global Attributes

None

### Classes

NetworkDiskCache | Class implementing a disk cache respecting privacy.

### Functions

None

## NetworkDiskCache

Class implementing a disk cache respecting privacy.

### Derived from

QNetworkDiskCache

### Class Attributes

None

### Methods

prepare | Public method to prepare the disk cache file.

#### NetworkDiskCache.prepare

prepare(metaData)

Public method to prepare the disk cache file.

metaData
  meta data for a URL (QNetworkCacheMetaData)

Returns:
  reference to the IO device (QIODevice)

Up